iconvconfig(8)

BEZEICHNUNG
iconvconfig - Iconv-Modul-Konfigurationszwischenspeicher erstellen

ÜBERSICHT
iconvconfig [Optionen] [Verzeichnis]…

BESCHREIBUNG
Die Funktion iconv(3) verwendet intern gconv-Module, um aus und in einen Zeichensatz umzuwandeln. Es wird eine Konfigurationsdatei verwandt, um die benötigten Module für eine Umwandlung zu bestimmen. Das Laden und Auswerten solch einer Konfigurationsdatei würde Programme, die iconv(3) verwenden, verlangsamen, so dass ein Zwischenspeichermechanismus eingesetzt wird.

Das Programm iconvconfig liest Iconv-Modulkonfigurationsdateien und schreibt eine schnell zu ladende Gconv-Modulkonfigurationszwischenspeicherdatei.

Zusätzlich zu den vom System bereitgestellten Gconv-Modulen kann der Benutzer angepasste Gconv-Modulverzeichnisse mittels der Umgebungsvariablen GCONV_PATH angeben. Allerdings wird die Zwischenspeicherung von Iconv-Modulkonfigurationen nur verwandt, wenn die Umgebungsvariable GCONV_PATH nicht gesetzt ist.

OPTIONEN

--nostdlib
    Durchsucht das Standard-System-Gconv-Verzeichnis nicht; nur die auf der Befehlszeile bereitgestellten Verzeichnisse.

--output=Ausgabedatei
-o Ausgabedatei
    Verwendet Ausgabedatei anstelle der Systemvorgabe für den Ort des Zwischenspeichers.

--prefix=Pfadname
    Setzt den Präfix, der den Systempfadnamen vorangestellt werden soll. Siehe nachfolgend DATEIEN. Standardmäßig ist das Präfix leer. Wird das Präfix auf foo gesetzt, würde die Gconf-Modulkonfiguration aus foo/usr/lib/gconv/gconv-modules gelesen und der Zwischenspeicher nach foo/usr/lib/gconv/gconv-modules.cache geschrieben.

--help
-?
    Benutzungshinweise ausgeben und beenden.

--usage
    gibt eine kurze Aufrufzusammenfassung aus und beendet das Programm.

--version
-V
    gibt für iconv die Versionsnummer, die Lizenz und einen Haftungsausschluss aus.

EXIT-STATUS
Null bei Erfolg, von Null verschieden bei Fehlern.

DATEIEN

/usr/lib/gconv
    Üblicher gconv-Vorgabemodulpfad.

/usr/lib/gconv/gconv-modules
    Übliche, systemweite Vorgabedatei für die gconv-Modulkonfiguration.

/usr/lib/gconv/gconv-modules.cache
    Üblicher gconv-Modulkonfigurationszwischenspeicher.

Abhängig von der Architektur können sich die vorstehend genannten Dateien stattdessen in Verzeichnissen mit dem Pfad-Präfix /usr/lib64 befinden.

SIEHE AUCH
iconv(1), iconv(3)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.